package com.fidms.web.domain;

import com.fidms.common.annotation.Excel;
import com.fidms.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
/**
 * 3d模型对象 bz_model_3d_t
 * 
 * @author Allen
 * @date 2023-05-08
 */
public class Model3d extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 3D模型名称 */
    @Excel(name = "3D模型名称")
    private String name;

    /** 3d模型文件名称 */
    @Excel(name = "3D模型文件名称")
    private String model3dFile;

    /** 3d模型文件名称路径 */
    @Excel(name = "3D模型文件名称路径")
    private String model3dFilePath;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setModel3dFile(String model3dFile) 
    {
        this.model3dFile = model3dFile;
    }

    public String getModel3dFile() 
    {
        return model3dFile;
    }
    public void setModel3dFilePath(String model3dFilePath) 
    {
        this.model3dFilePath = model3dFilePath;
    }

    public String getModel3dFilePath() 
    {
        return model3dFilePath;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("model3dFile", getModel3dFile())
            .append("model3dFilePath", getModel3dFilePath())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
